###########################
# Initial conditions
###########################

def puslovi(N, np):
	
	import random
	
	########################################
	# Initial conditions
	########################################

	m_e = 9.10938356e-31 # electron mass [kg]
	m_p = 1.6726219e-27 # proton mass [kg]
	qelem = 1.6021766210e-19 # e [C]
	c = 299792458.0 # c [m/s]
	vini = 0.01*c # Speed limit for non-relativistic treatment (-vini, vini)

	q = np.zeros(N)
	m = np.zeros(N)
	x = np.zeros(N)
	y = np.zeros(N)
	z = np.zeros(N)
	vx = np.zeros(N)
	vy = np.zeros(N)
	vz = np.zeros(N)
	
	for i in range(0,N):

		q[i] = qelem #motion of protons
		m[i] = m_p 
		x[i] = 0.0 #at coordinate center
		y[i] = 0.0 
		z[i] = 0.0
		vx[i] = 0.0
		vy[i] = (random.random() - 0.5)*vini #random initial speed
		vz[i] = (random.random() - 0.5)*vini	

	return q, m, x, y, z, vx, vy, vz
